
From: GOTO Masanori <gotom@debian.or.jp>

This patch lets i2c-dev.h include linux/compiler.h so that __user is defined.

Signed-off-by: GOTO Masanori <gotom@debian.or.jp>
Cc: Greg KH <greg@kroah.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/i2c-dev.h |    1 +
 1 files changed, 1 insertion(+)

diff -puN include/linux/i2c-dev.h~headers-include-linux-compilerh-for-__user include/linux/i2c-dev.h
--- 25/include/linux/i2c-dev.h~headers-include-linux-compilerh-for-__user	2005-06-24 01:19:26.000000000 -0700
+++ 25-akpm/include/linux/i2c-dev.h	2005-06-24 01:19:26.000000000 -0700
@@ -25,6 +25,7 @@
 #define _LINUX_I2C_DEV_H
 
 #include <linux/types.h>
+#include <linux/compiler.h>
 
 /* Some IOCTL commands are defined in <linux/i2c.h> */
 /* Note: 10-bit addresses are NOT supported! */
_
